Index: npl/system/kmod/kmod-24.tar.sign
===================================================================
--- npl/system/kmod/kmod-24.tar.sign	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod-24.tar.sign	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,16 @@
+-----BEGIN PGP SIGNATURE-----
+
+iQIcBAABAgAGBQJYr+ITAAoJEJuipaYwy+pTiTEQAJpnw1how50xfJoExE2EKHYP
+q65cVBT7hL5BgGJz3mLx/MctxX1lZe8/3xh15IQ2E6g9PF8RwEC0zmsxeS5mMqys
+QbtcfjF3qimnHCMUR90W0pfTd/Jj5tRbMPgv9aNInBFxefSv3TkvXPCJ4H3/1TjV
+kfuE0CsCoCSbIDlnEUf4WzyhKjbtVBq99D51RtpykOGVCE3JiVP2qUgqt0wnkmyT
+2XZWT7gLWsNcDlZc0DrazXb+fZmZzkAXY1Y9kwfoMVz6y0naihy8etEGDYFdvyXg
+1usoR8NKfSKfNR9s2X6CqOvj5awBFeD2uu0IQi8R6pLqZq5vYhI5wYFqZZDe5NSC
+Xb6psibRnodtPyeuHwispEh7uoPPVQQY84INQL2p5ZUnXH7tvbw0qcyDMdpQXXQ2
+jLNsuicD6Sf9tknY3TkyPjj916uSJKdaYYqKkBsazob2ChpIewmZMfCqhxLCATFi
+STm4YOfZnGS6VJcWt/ujvCFqVqh75X/9Vo3b1e7C7gFoz9RJ5JiuxcYvRizQaMPE
+1/EH5Fp9GPyAgfr9bTnCdVFE1swa/6yrMjNd9HjxWdW+/fgRboteErwk7+Kr4qV0
+UBCGEwlWWCSa1l2Xi4PganiYStjr65eNOR7M5yg9+2t0pUFj8HSp+kcZqN2FklIB
+Bq2XMuoABG2TqOl3+VyS
+=zuNi
+-----END PGP SIGNATURE-----
Index: npl/system/kmod/kmod.SlackBuild
===================================================================
--- npl/system/kmod/kmod.SlackBuild	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod.SlackBuild	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/a/kmod/
+# Created at Tue Sep 26 15:38:09 CEST 2017
+
+#DEP:linuxdoc_tools
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./kmod.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/system/kmod/kmod.SlackBuild.orig
===================================================================
--- npl/system/kmod/kmod.SlackBuild.orig	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod.SlackBuild.orig	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,187 @@
+#!/bin/sh
+
+# Slackware build script for kmod
+
+# Copyright 2011-2016  Robby Workman, Tuscaloosa, Alabama, USA
+# Copyright 2013-2016  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=kmod
+VERSION=${VERSION:-24}
+BUILD=${BUILD:-2}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i586 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix paths in manual pages
+sed -i "s,/usr/lib,/lib,g" man/*
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/lib${LIBDIRSUFFIX} \
+  --bindir=/sbin \
+  --sbindir=/sbin \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --disable-xz \
+  --disable-zlib \
+  --disable-python \
+  --build=$ARCH-slackware-linux || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# "make clean" deletes too much, so we have to start fresh :(
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix paths in manual pages
+sed -i "s,/usr/lib,/lib,g" man/*
+
+# Build python3 bindings for libkmod
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PYTHON=python3 \
+./configure \
+  --prefix=/usr \
+  --libdir=/lib${LIBDIRSUFFIX} \
+  --bindir=/sbin \
+  --sbindir=/sbin \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --disable-xz \
+  --disable-zlib \
+  --disable-python \
+  --build=$ARCH-slackware-linux || exit 1
+
+make \
+  install-pkgpyexecLTLIBRARIES \
+  install-dist_pkgpyexecPYTHON \
+  DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+# Create symlinks for the usual module-init-tools stuff:
+( cd $PKG/sbin
+  for file in depmod insmod lsmod modinfo modprobe rmmod ; do
+    ln -sf kmod $file
+  done
+)
+
+# Link lsmod into /bin
+mkdir -p $PKG/bin
+( cd $PKG/bin ; ln -sf /sbin/lsmod . )
+
+mkdir -p $PKG/etc/modprobe.d
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+mv $PKG/lib${LIBDIRSUFFIX}/pkgconfig $PKG/usr/lib${LIBDIRSUFFIX}
+rm -f $PKG/lib${LIBDIRSUFFIX}/{*.so,*.la}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+  ln -sf ../../lib${LIBDIRSUFFIX}/libkmod.so.? libkmod.so
+)
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+  COPYING* NEWS README* TODO \
+  $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/system/kmod/kmod.arch
===================================================================
--- npl/system/kmod/kmod.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/kmod/kmod.build
===================================================================
--- npl/system/kmod/kmod.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+2
Index: npl/system/kmod/kmod.depver
===================================================================
--- npl/system/kmod/kmod.depver	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod.depver	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+linuxdoc_tools	0
Index: npl/system/kmod/kmod.md5
===================================================================
--- npl/system/kmod/kmod.md5	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod.md5	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,8 @@
+5229d1b6e54b03c6ca56e572cbdbbe4a  ./kmod-24.tar.sign
+08297dfb6f2b3f625f928ca3278528af  ./kmod-24.tar.xz
+78c14114fa34dc3a856934f222fac339  ./kmod_dev.pkg
+293cac6ae4b73b6b2d3914aa27e8b8f7  ./kmod.pkg
+a363749176f0773ca5fa812438d55c0e  ./kmod.SlackBuild
+ef3949b92cd3502134fb655fc4eda516  ./kmod.SlackBuild.log.gz
+8d921927974b531fe4bff1c69fb16ba5  ./kmod.SlackBuild.orig
+8312f5e0989fc620a0924529f55cc737  ./slack-desc
Index: npl/system/kmod/kmod.version
===================================================================
--- npl/system/kmod/kmod.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+24
Index: npl/system/kmod/kmod_dev.arch
===================================================================
--- npl/system/kmod/kmod_dev.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod_dev.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/kmod/kmod_dev.build
===================================================================
--- npl/system/kmod/kmod_dev.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod_dev.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+2
Index: npl/system/kmod/kmod_dev.version
===================================================================
--- npl/system/kmod/kmod_dev.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/kmod_dev.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+24
Index: npl/system/kmod/slack-desc
===================================================================
--- npl/system/kmod/slack-desc	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/system/kmod/slack-desc	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+    |-----handy-ruler------------------------------------------------------|
+kmod: kmod (kernel module tools and library)
+kmod:
+kmod: kmod is a set of tools to handle common tasks with Linux kernel 
+kmod: modules like insert, remove, list, check properties, resolve 
+kmod: dependencies and aliases.  The aim is to be compatible with the tools,
+kmod: configurations and indexes from the module-init-tools project.
+kmod:
+kmod: These tools are designed on top of libkmod, a library that is 
+kmod: shipped with kmod.
+kmod:
+kmod: Project home:  http://www.kernel.org/pub/linux/utils/kernel/kmod/
Index: npl/system/module_init_tools/module_init_tools.SlackBuild
===================================================================
--- npl/system/module_init_tools/module_init_tools.SlackBuild	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ 	(revision )
@@ -1,23 +1,0 @@
-#!/bin/bash
-
-NAME=module_init_tools
-VER=3.2.2
-CWD=`pwd`
-PKGTMP=/tmp/pkgtmp
-TARNAME=module-init-tools
-
-mkdir -p $PKGTMP &>/dev/null
-
-tar -xzf $TARNAME-$VER.tar.gz || exit 1
-
-cd $TARNAME-$VER || exit 1
-./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man/  --bindir=/sbin --sbindir=/sbin || exit 1
-make || exit 1
-#make test || exit 1
-make INSTALL_PREFIX=$PKGTMP DESTDIR=$PKGTMP install || exit 1
-
-cd "$PKGTMP" || exit 1
-makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
-echo $VER > $CWD/$NAME.version &&
-arch > $CWD/$NAME.arch 
-
Index: npl/system/module_init_tools/module_init_tools.arch
===================================================================
--- npl/system/module_init_tools/module_init_tools.arch	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: npl/system/module_init_tools/module_init_tools.build
===================================================================
--- npl/system/module_init_tools/module_init_tools.build	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ 	(revision )
@@ -1,1 +1,0 @@
-2215
Index: npl/system/module_init_tools/module_init_tools.md5
===================================================================
--- npl/system/module_init_tools/module_init_tools.md5	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ 	(revision )
@@ -1,3 +1,0 @@
-ceb92580c7f57a97892af96275aacd48  ./module-init-tools-3.2.2.tar.gz
-38aafbc5e8d1a52e54531b403b53e5c1  ./module_init_tools.SlackBuild
-02f80106cf8879dbe359a9d5704d5834  ./module_init_tools.pkg
Index: npl/system/module_init_tools/module_init_tools.version
===================================================================
--- npl/system/module_init_tools/module_init_tools.version	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ 	(revision )
@@ -1,1 +1,0 @@
-3.2.2
